KURL::List class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KURL::List Class Reference

KURL::List is a QValueList that contains KURLs with a few convenience methods. More...

`#include <kurl.h>`

Inheritance diagram for KURL::List:

[legend]
Collaboration diagram for KURL::List:

[legend]
List of all members.

## Public Member Functions
| List ()
| Creates an empty List.
| List (const KURL &url)
| Creates a list that contains the given URL as only item.
| List (const QStringList &list)
| Creates a list that contains the URLs from the given list.
QStringList | toStringList () const
| Converts the URLs of this list to a list of strings.

## Detailed Description

KURL::List is a QValueList that contains KURLs with a few convenience methods.

See also:
  KURL

  QValueList

Definition at line 67 of file kurl.h.

## Constructor & Destructor Documentation

KURL::List::List | ( |  | ) | `[inline]`

| Creates an empty List. Definition at line 73 of file kurl.h.

KURL::List::List | ( | const KURL & | url | ) |

  | Creates a list that contains the given URL as only item. Parameters:
  url | the url to add.
Definition at line 372 of file kurl.cpp. References QValueList< KURL >::append().

KURL::List::List | ( | const QStringList & | list | ) |

  | Creates a list that contains the URLs from the given list. Parameters:
  list | the list containing the URLs as strings
Definition at line 377 of file kurl.cpp. References QValueList< KURL >::append(), and KURL::KURL().

## Member Function Documentation

QStringList KURL::List::toStringList | ( |  | ) | const

| Converts the URLs of this list to a list of strings. Returns: the list of strings Definition at line 387 of file kurl.cpp. References QValueList< KURL >::begin(), QValueList< KURL >::ConstIterator(), and QValueList< KURL >::end().

The documentation for this class was generated from the following files:

- kurl.h
- kurl.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001